curl --request PATCH \
--url https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upstream_registry": "ghcr.io",
"upstream_prefix": "my-org",
"upstream_username": "<string>",
"upstream_secret": "<string>"
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}"
payload = {
"upstream_registry": "ghcr.io",
"upstream_prefix": "my-org",
"upstream_username": "<string>",
"upstream_secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
upstream_registry: 'ghcr.io',
upstream_prefix: 'my-org',
upstream_username: '<string>',
upstream_secret: '<string>'
})
};
fetch('https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'upstream_registry' => 'ghcr.io',
'upstream_prefix' => 'my-org',
'upstream_username' => '<string>',
'upstream_secret' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}"
payload := strings.NewReader("{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"pull_through_cache_rule": {
"crn": "crn:registry:sa-saopaulo-1:my-account:pull-through-cache-rule/hub",
"prefix": "hub",
"uri_prefix": "cr.sa-saopaulo-1.basaltic.cloud/my-account/hub",
"upstream_registry": "registry-1.docker.io",
"has_credential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_prefix": "library",
"upstream_username": "robot"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Atualizar regra de cache de imagens
Altera a origem ou rotaciona credenciais. O prefixo é imutável porque identifica a regra e seus repositórios. Omissão preserva campos; upstream_username e upstream_secret vazios juntos removem a credencial. Conteúdo existente não é baixado novamente ao mudar a origem. Requer registry:UpdatePullThroughCacheRule.
curl --request PATCH \
--url https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upstream_registry": "ghcr.io",
"upstream_prefix": "my-org",
"upstream_username": "<string>",
"upstream_secret": "<string>"
}
'import requests
url = "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}"
payload = {
"upstream_registry": "ghcr.io",
"upstream_prefix": "my-org",
"upstream_username": "<string>",
"upstream_secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
upstream_registry: 'ghcr.io',
upstream_prefix: 'my-org',
upstream_username: '<string>',
upstream_secret: '<string>'
})
};
fetch('https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'upstream_registry' => 'ghcr.io',
'upstream_prefix' => 'my-org',
'upstream_username' => '<string>',
'upstream_secret' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}"
payload := strings.NewReader("{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules/{prefix}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"upstream_registry\": \"ghcr.io\",\n \"upstream_prefix\": \"my-org\",\n \"upstream_username\": \"<string>\",\n \"upstream_secret\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"pull_through_cache_rule": {
"crn": "crn:registry:sa-saopaulo-1:my-account:pull-through-cache-rule/hub",
"prefix": "hub",
"uri_prefix": "cr.sa-saopaulo-1.basaltic.cloud/my-account/hub",
"upstream_registry": "registry-1.docker.io",
"has_credential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_prefix": "library",
"upstream_username": "robot"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}registry:UpdatePullThroughCacheRule. Veja REGISTRY permissões para a lista completa, o escopo de cada ação e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Prefixo da regra. Pode conter uma barra, como team/base; corresponde ao restante do caminho, não a um segmento único.
"hub"
Corpo
Resposta
Regra atualizada.
Show child attributes
Show child attributes

